org.apache.fop.cli

## Class ImageInputHandler

- java.lang.Object
- - org.apache.fop.cli.InputHandler
  - - org.apache.fop.cli.ImageInputHandler

All Implemented Interfaces:
  ErrorListener, Renderable

    public class ImageInputHandler
    extends InputHandler

InputHandler for the images (for example TIFF) as input.

### Field Summary

### Fields inherited from class org.apache.fop.cli.InputHandler

`log, sourcefile`

### Constructor Summary

Constructors
Constructor and Description
`ImageInputHandler(File imagefile, File xsltfile, Vector params)` Main constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Source` `createMainSource()` Creates a Source for the main input file.
`protected Source` `createXSLTSource()` Creates a Source for the selected stylesheet.

### Methods inherited from class org.apache.fop.cli.InputHandler

`createCatalogResolver, error, fatalError, renderTo, renderTo, transformTo, transformTo, warning`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ImageInputHandler

    public ImageInputHandler(File imagefile,
                             File xsltfile,
                             Vector params)

Main constructor.

Parameters:
  `imagefile` - the image file
  `xsltfile` - XSLT file (may be null in which case the default stylesheet is used)
  `params` - Vector of command-line parameters (name, value, name, value, ...) for XSL stylesheet, null if none

### Method Detail

#### createMainSource

    protected Source createMainSource()

Creates a Source for the main input file. Processes XInclude if available in the XML parser.

Overrides:
  `createMainSource` in class `InputHandler`
Returns:
  the Source for the main input file

#### createXSLTSource

    protected Source createXSLTSource()

Creates a Source for the selected stylesheet.

Overrides:
  `createXSLTSource` in class `InputHandler`
Returns:
  the Source for the selected stylesheet or null if there's no stylesheet